Subject: RE: (ngtrans) shipworm, 6to4 and anycast [...]

From: Pekka Savola <[email-masked]>
Date: Fri, 1 Feb 2002 13:30:51 +0200 (EET)

On Thu, 31 Jan 2002, Christian Huitema wrote:
> A point that has not been made yet in the discussion is the trade-off
> between use of anycast addresses and load of the teredo servers. Coarse
> studies of the NAT market show that:
> 
> * about 45% of the NAT on the market are "cone" NAT, i.e. establish a
> port mapping that is independent of the peer address and port, and allow
> packet coming from any source to use that mapping,
> 
> * about 50% are "restricted cone" or "port restricted cone" NAT, i.e.
> establish a port mapping that is independent of the peer address and
> port, but limit use of that mapping to peers to whom a packet has
> already been sent,
> 
> * about 5% are "symmetric" NAT, for which the mapping is a function of
> both the internal and external addresses and ports.

I'd really appreciate seeing some more specific data.  E.g. which versions
of BSD and Linux NAT's were tested; they comprise a significant portion of
the market.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---

From: Pekka Savola <[email-masked]>
Date: Fri, 1 Feb 2002 13:30:51 +0200 (EET)